summaryrefslogtreecommitdiffstats
path: root/libraries/lua-mpack
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2016-04-29 12:05:35 +0200
committer Willy Sudiarto Raharjo2016-04-30 15:38:42 +0200
commitd2cd8fdeea0952e286ff24e676fdce5f441c6e7b (patch)
treec4291843d4ca36f49d50af3aa8963ef95adf8c80 /libraries/lua-mpack
parentc36c9d630b48cc3bb6aa1a222d6db0d3eaba6692 (diff)
downloadslackbuilds-d2cd8fdeea0952e286ff24e676fdce5f441c6e7b.tar.gz
libraries/lua-mpack: Added lua-mpack (msgpack for lua).
Signed-off-by: Benjamin Trigona-Harany <bosth@alumni.sfu.ca>
Diffstat (limited to 'libraries/lua-mpack')
-rw-r--r--libraries/lua-mpack/README2
-rw-r--r--libraries/lua-mpack/lua-mpack.SlackBuild88
-rw-r--r--libraries/lua-mpack/lua-mpack.info10
-rw-r--r--libraries/lua-mpack/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/libraries/lua-mpack/README b/libraries/lua-mpack/README
new file mode 100644
index 0000000000..dcafb818ae
--- /dev/null
+++ b/libraries/lua-mpack/README
@@ -0,0 +1,2 @@
+lua-mpack is a small binary serialization/RPC library that implements both the
+msgpack and msgpack-rpc specifications for lua.
diff --git a/libraries/lua-mpack/lua-mpack.SlackBuild b/libraries/lua-mpack/lua-mpack.SlackBuild
new file mode 100644
index 0000000000..f9aac07f32
--- /dev/null
+++ b/libraries/lua-mpack/lua-mpack.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# SlackBuild script for lua-mpack
+
+# Copyright 2016 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lua-mpack
+SRCNAM=libmpack
+VERSION=${VERSION:-1.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+gcc -O2 -fPIC -c binding/lua/lmpack.c -o lmpack.o
+gcc -shared -o mpack.so lmpack.o
+install -D -m 0755 mpack.so $PKG/$(pkg-config --variable INSTALL_CMOD lua)/mpack.so
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE-MIT README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/lua-mpack/lua-mpack.info b/libraries/lua-mpack/lua-mpack.info
new file mode 100644
index 0000000000..aa64bee6b1
--- /dev/null
+++ b/libraries/lua-mpack/lua-mpack.info
@@ -0,0 +1,10 @@
+PRGNAM="lua-mpack"
+VERSION="1.0.2"
+HOMEPAGE="https://github.com/tarruda/libmpack/"
+DOWNLOAD="https://github.com/tarruda/libmpack/archive/1.0.2.tar.gz"
+MD5SUM="a6320e37991bb56520d4670419edb43c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/libraries/lua-mpack/slack-desc b/libraries/lua-mpack/slack-desc
new file mode 100644
index 0000000000..7f1db96399
--- /dev/null
+++ b/libraries/lua-mpack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lua-mpack: lua-mpack (implementation of msgpack in C for lua)
+lua-mpack:
+lua-mpack: lua-mpack is a small binary serialization/RPC library that implements
+lua-mpack: both the msgpack and msgpack-rpc specifications for lua.
+lua-mpack:
+lua-mpack:
+lua-mpack:
+lua-mpack:
+lua-mpack:
+lua-mpack:
+lua-mpack: